package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.RegionMetropolitanaDAO;
import com.rjconsultores.ventaboletos.entidad.RegionMetropolitana;

@Repository("regionMetropolitanaDAO")
public class RegionMetropolitanaHibernateDAO extends GenericHibernateDAO<RegionMetropolitana, Long>
		implements RegionMetropolitanaDAO {

	@Autowired
	public RegionMetropolitanaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<RegionMetropolitana> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.setResultTransformer(Criteria.DISTINCT_ROOT_ENTITY).list();
	}

}
